JSI Tip 0821. HAL: Bad APIC version.

If you install Windows NT on a multiprocessor MB with only one processor installed, you may receive:

HAL: Bad APIC version. HAL: This HAL.DLL requires an MPS version 1.1 system. Replace HAL.DLL which the correct HAL for this system. The system is halting.

This is generally caused by using hardware not on the HCL. Try doing a custom install and if the computer is identified as an MPS machine, change it to AT Compatible.

You could also edit the TXTSETUP.SIF file on the setup diskette and change the \[HAL\] section that reads

mps11_mp = halmps.dll ,2,hal.dll


mps11_mp = hal.dll ,2,hal.dll

When you add the second processor, undo the above change and see tip 466.

Hide comments


  • Allowed HTML tags: <em> <strong> <blockquote> <br> <p>

Plain text

  • No HTML tags allowed.
  • Web page addresses and e-mail addresses turn into links automatically.
  • Lines and paragraphs break automatically.